<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Ywalarmrulefortimebean" type="cn.vp.XXX.model.YwalarmrulefortimeBean"/> -->	<typeAlias alias="Ywalarmrulefortime" type="cn.im.ywgl.YwalarmrulefortimeBean"/>
	
	<sql id="condition_Ywalarmrulefortime">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKEtimeid'>
			(timeid like '%$LIKEtimeid$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='timeid'>
			(timeid = #timeid#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEalarmruleid'>
			(alarmruleid like '%$LIKEalarmruleid$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='alarmruleid'>
			(alarmruleid = #alarmruleid# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEweekday'>
			(weekday like '%$LIKEweekday$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='weekday'>
			(weekday = #weekday# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEstarttime'>
			(starttime like '%$LIKEstarttime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='starttime'>
			(starttime = #starttime# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEendtime'>
			(endtime like '%$LIKEendtime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='endtime'>
			(endtime = #endtime# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEalarmgrade'>
			(alarmgrade like '%$LIKEalarmgrade$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='alarmgrade'>
			(alarmgrade = #alarmgrade# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcreateaccount'>
			(createaccount like '%$LIKEcreateaccount$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='createaccount'>
			(createaccount = #createaccount# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcreatetime'>
			(createtime like '%$LIKEcreatetime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='createtime'>
			(createtime = #createtime# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmodifyaccount'>
			(modifyaccount like '%$LIKEmodifyaccount$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='modifyaccount'>
			(modifyaccount = #modifyaccount# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmodifytime'>
			(modifytime like '%$LIKEmodifytime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='modifytime'>
			(modifytime = #modifytime# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEremarks'>
			(remarks like '%$LIKEremarks$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='remarks'>
			(remarks = #remarks# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEextend1'>
			(extend1 like '%$LIKEextend1$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='extend1'>
			(extend1 = #extend1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEextend2'>
			(extend2 like '%$LIKEextend2$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='extend2'>
			(extend2 = #extend2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEextend3'>
			(extend3 like '%$LIKEextend3$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='extend3'>
			(extend3 = #extend3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEextend4'>
			(extend4 like '%$LIKEextend4$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='extend4'>
			(extend4 = #extend4# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Ywalarmrulefortime" parameterClass="java.util.Map">
		insert into 
		ywalarmrulefortime(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='timeid'>timeid</isNotEmpty>
			<isNotEmpty prepend=',' property='alarmruleid'>alarmruleid</isNotEmpty>
			<isNotEmpty prepend=',' property='weekday'>weekday</isNotEmpty>
			<isNotEmpty prepend=',' property='starttime'>starttime</isNotEmpty>
			<isNotEmpty prepend=',' property='endtime'>endtime</isNotEmpty>
			<isNotEmpty prepend=',' property='alarmgrade'>alarmgrade</isNotEmpty>
			<isNotEmpty prepend=',' property='createaccount'>createaccount</isNotEmpty>
			<isNotEmpty prepend=',' property='createtime'>createtime</isNotEmpty>
			<isNotEmpty prepend=',' property='modifyaccount'>modifyaccount</isNotEmpty>
			<isNotEmpty prepend=',' property='modifytime'>modifytime</isNotEmpty>
			<isNotEmpty prepend=',' property='remarks'>remarks</isNotEmpty>
			<isNotEmpty prepend=',' property='extend1'>extend1</isNotEmpty>
			<isNotEmpty prepend=',' property='extend2'>extend2</isNotEmpty>
			<isNotEmpty prepend=',' property='extend3'>extend3</isNotEmpty>
			<isNotEmpty prepend=',' property='extend4'>extend4</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='timeid'>#timeid#</isNotEmpty>
			<isNotEmpty prepend=',' property='alarmruleid'>#alarmruleid#</isNotEmpty>
			<isNotEmpty prepend=',' property='weekday'>#weekday#</isNotEmpty>
			<isNotEmpty prepend=',' property='starttime'>#starttime#</isNotEmpty>
			<isNotEmpty prepend=',' property='endtime'>#endtime#</isNotEmpty>
			<isNotEmpty prepend=',' property='alarmgrade'>#alarmgrade#</isNotEmpty>
			<isNotEmpty prepend=',' property='createaccount'>#createaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='createtime'>#createtime#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifyaccount'>#modifyaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifytime'>#modifytime#</isNotEmpty>
			<isNotEmpty prepend=',' property='remarks'>#remarks#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend1'>#extend1#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend2'>#extend2#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend3'>#extend3#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend4'>#extend4#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Ywalarmrulefortime" parameterClass="java.util.Map">
		update ywalarmrulefortime 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='alarmruleid'>alarmruleid=#alarmruleid#</isNotEmpty>
			<isNotEmpty prepend=',' property='weekday'>weekday=#weekday#</isNotEmpty>
			<isNotEmpty prepend=',' property='starttime'>starttime=#starttime#</isNotEmpty>
			<isNotEmpty prepend=',' property='endtime'>endtime=#endtime#</isNotEmpty>
			<isNotEmpty prepend=',' property='alarmgrade'>alarmgrade=#alarmgrade#</isNotEmpty>
			<isNotEmpty prepend=',' property='createaccount'>createaccount=#createaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='createtime'>createtime=#createtime#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifyaccount'>modifyaccount=#modifyaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifytime'>modifytime=#modifytime#</isNotEmpty>
			<isNotEmpty prepend=',' property='remarks'>remarks=#remarks#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend1'>extend1=#extend1#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend2'>extend2=#extend2#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend3'>extend3=#extend3#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend4'>extend4=#extend4#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND' property='XGTJtimeid'> timeid = #XGTJtimeid#</isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJalarmruleid'> alarmruleid = #XGTJalarmruleid# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJweekday'> weekday = #XGTJweekday# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJstarttime'> starttime = #XGTJstarttime# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJendtime'> endtime = #XGTJendtime# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJalarmgrade'> alarmgrade = #XGTJalarmgrade# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcreateaccount'> createaccount = #XGTJcreateaccount# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcreatetime'> createtime = #XGTJcreatetime# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJmodifyaccount'> modifyaccount = #XGTJmodifyaccount# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJmodifytime'> modifytime = #XGTJmodifytime# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJremarks'> remarks = #XGTJremarks# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJextend1'> extend1 = #XGTJextend1# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJextend2'> extend2 = #XGTJextend2# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJextend3'> extend3 = #XGTJextend3# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJextend4'> extend4 = #XGTJextend4# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Ywalarmrulefortime" parameterClass="java.util.Map">
		delete from ywalarmrulefortime 
		<include refid="condition_Ywalarmrulefortime"/>
	</delete>
	
	<!-- batch delete object -->
	<delete id="batch_delete_Ywalarmrulefortime" parameterClass="java.util.Map">
		delete from ywalarmrulefortime 
		where 1=1
			<isNotEmpty prepend='AND' property='keyword'>
			key  in (#keyword#)
			</isNotEmpty>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Ywalarmrulefortime" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			timeid,alarmruleid,weekday,starttime,endtime,alarmgrade,createaccount,createtime,modifyaccount,modifytime,remarks,extend1,extend2,extend3,extend4
		from ywalarmrulefortime 
		<include refid="condition_Ywalarmrulefortime"/>		
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Ywalarmrulefortime" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from ywalarmrulefortime 
		<include refid="condition_Ywalarmrulefortime"/>			
	</select>
	
	<!-- batch add objects -->
	<insert id="batch_insert_Ywalarmrulefortime" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
      
			into ywalarmrulefortime(
			 <![CDATA[ 
				timeid,alarmruleid,weekday,starttime,endtime,alarmgrade,createaccount,createtime,modifyaccount,modifytime,remarks,extend1,extend2,extend3,extend4
			)values
			 ]]>  	
		<iterate conjunction=", " > 	 
			 <![CDATA[ 
				(
				#list[].timeid#,#list[].alarmruleid#,#list[].weekday#,#list[].starttime#,#list[].endtime#,#list[].alarmgrade#,#list[].createaccount#,#list[].createtime#,#list[].modifyaccount#,#list[].modifytime#,#list[].remarks#,#list[].extend1#,#list[].extend2#,#list[].extend3#,#list[].extend4#
				)
			]]>    
    	</iterate> 
	</insert>
</sqlMap>











